/* Define shades of black */
:root {
    --black-0: #18181A; 
    --black-1: #24262C;
    --black-2: #2A2E38;
    --black-3: #313749;
    
    --grey-0: #6B728A;
    --grey-1: #8E93A6;
    --grey-2: #B1B4C1;
    
    --white-0: #C9CCD5;
    --white-1: #D2D4DC;
    --white-2: #DADCE2;
    --white-3: #FFF;

    --dark-blue: hsla(217, 100%, 50%, 1);
    --light-blue: hsla(186, 100%, 69%, 1);

    --orange: hsla(33, 94%, 57%, 1);
    --red: hsla(333, 100%, 53%, 1);

    --blue-radiant-1: linear-gradient(90deg, hsla(217, 100%, 50%, 1) 0%, hsla(186, 100%, 69%, 1) 100%);
    --blue-radiant-1-hover: linear-gradient(90deg, hsla(217, 100%, 40%, 1) 0%, hsla(186, 100%, 59%, 1) 100%);

    --red-radiant-1: linear-gradient(90deg, hsla(333, 100%, 53%, 1) 0%, hsla(33, 94%, 57%, 1) 100%);
    --red-radiant-1-hover: linear-gradient(90deg, hsla(333, 100%, 43%, 1) 0%, hsla(33, 94%, 47%, 1) 100%); /* Darker gradient */

}
body {
    font-family: Roboto, sans-serif;
    background-color: var(--black-0);
    color: var(--white-2);
}

a {
    color: #007bff;
    text-decoration: none;
}

a:hover {
    text-decoration: underline;
}

/* Container Styles */
.login-container{
    max-width: 500px;
    margin: 50px auto;
    padding: 20px;
    background: var(--black-1);
    border-radius: 8px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
}

h2 {
    margin-top: 0;
    color: var(--white-2);
    text-align: center;
}

/* Form Styles */
form {
    display: flex;
    flex-direction: column;
}

.input-group {
    margin-bottom: 15px;
}

.input-group label {
    margin-bottom: 5px;
    color: var(--white-0);
}

.input-group input {
    width: 100%;
    padding: 10px;
    
    border: 1px solid var(--grey-0);
    border-radius: 4px;
    box-sizing: border-box;

    background: var(--black-dark);
    color: var(--white-2);
}

.input-group input[type="text"]:focus {
    background: var(--black-dark);
    color: var(--white-2);
}

.input-group input[type="text"]:not(:focus):not(:placeholder-shown) {
    background: var(--black-dark);
    color: var(--white-2);
}
button {
    background: var(--blue-radiant-1);
    padding: 10px;
    color: #fff;
    border: none;
    border-radius: 4px;
    cursor: pointer;
    font-size: 16px;
}

button:hover {
    background: var(--blue-radiant-1-hover);
}

/* Error Message Styles */
.error-msg {
    margin-bottom: 15px;
    color:var(--red);
}


